SPA Charts
SPA: Creates a new Chart
Creates a new chart for the authenticated user's client.
POST
/api/spa/chartsAuthorizations
X-AUTH-TOKEN
stringheaderrequired
Value for the X-AUTH-TOKEN header parameter.
Request Body
application/json
required
The new Chart resource
{
"identifier": "key1",
"jsConfiguration": "{type: 'line',data: {labels: ['Jan'...",
"width": 500,
"height": 300,
"bgColor": "transparent",
"chartJsVersion": "4",
"templates": [
"string"
],
"subClient": {},
"brandIdentifier": "default",
"active": true,
"activeFrom": "2024-01-01",
"subClientDefault": false
}Response
201
Chart resource created
id
integer
Identifier generated by Output.Rocks.
identifier
stringrequired
Unique identifier
jsConfiguration
string
Chart configuration. <<>> syntax is supported.
width
integer
Chart width
height
integer
Chart height
bgColor
string
Chart background color
chartJsVersion
string
Chart JS version
templates
string[]
createdBy
string
User, created this entry
updatedBy
string
User, updated this entry
createdAt
string<date-time>
UTC date time of entry creation
updatedAt
string<date-time>
UTC date time of last entry update
brandIdentifier
stringrequired
active
boolean
Active flag. Default: true
activeFrom
string<date-time>
Date to activate the entry. Default: today
subClientDefault
boolean
Default for environmental tenants (sub-clients)
subClientId
integer
SubClient ID. Provided on instances with enabled sub-client module only.
subClientDescription
string
SubClient description. Provided on instances with enabled sub-client module only.